commit: fd74d153a753f17b9d8e6b328a663b282326bfb1
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 17:50:53 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 19:43:34 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd74d153
dev-python/tweepy: Fix tests
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/tweepy/tweepy-2.3.ebuild | 16 ++++++++++++----
dev-python/tweepy/tweepy-3.3.0.ebuild | 5 +++--
2 files changed, 15 insertions(+), 6 deletions(-)
diff --git a/dev-python/tweepy/tweepy-2.3.ebuild
b/dev-python/tweepy/tweepy-2.3.ebuild
index 1987293..6e0482e 100644
--- a/dev-python/tweepy/tweepy-2.3.ebuild
+++ b/dev-python/tweepy/tweepy-2.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -17,9 +17,15 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples test"
-#RESTRICT="test" #missing a required dep frpm portage
+# online tests
+RESTRICT="test"
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/httreplay[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
python_prepare_all() {
# Required to avoid file collisions at install
@@ -30,7 +36,9 @@ python_prepare_all() {
}
python_test() {
- "${PYTHON}" -m tests || die "Tests failed"
+ nosetests -v \
+ tests.test_api tests.test_streaming \
+ tests.test_cursors tests.test_utils || die
}
python_compile_all() {
diff --git a/dev-python/tweepy/tweepy-3.3.0.ebuild
b/dev-python/tweepy/tweepy-3.3.0.ebuild
index 16cbb91..263fad6 100644
--- a/dev-python/tweepy/tweepy-3.3.0.ebuild
+++ b/dev-python/tweepy/tweepy-3.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -22,6 +22,7 @@ RESTRICT="test" #missing in tarball
DEPEND="
dev-python/pip[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
"
RDEPEND="
>=dev-python/requests-2.4.3[${PYTHON_USEDEP}]
@@ -37,7 +38,7 @@ python_prepare_all() {
}
python_test() {
- "${PYTHON}" -m tests || die "Tests failed"
+ nosetests -v -c tests/travis-tests.cfg || die
}
python_compile_all() {